---
title: RTCIceTransport.getLocalParameters()
slug: Web/API/RTCIceTransport/getLocalParameters
tags:
  - API
  - Connectivity
  - ICE
  - Method
  - Negotiation
  - RTCIceTransport
  - Reference
  - Transport
  - WebRTC
  - WebRTC API
  - getLocalParameters
  - parameters
  - password
  - ufrag
  - username
  - usernameFragment
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong>{{domxref("RTCIceTransport")}}</strong> method <code><strong>getLocalParameters()</strong></code> returns an {{domxref("RTCIceParameters")}} object which provides information uniquely identifying the local peer for the duration of the ICE session.</span></p>

<p>The local peer's parameters are obtained during ICE signaling and delivered to the transport when the client calls {{domxref("RTCPeerConnection.setLocalDescription()")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>parameters</em> = <em>RTCIceTransport</em>.getLocalParameters();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>An {{domxref("RTCIceParameters")}} object indicating the {{domxref("RTCIceParameters.usernameFragment", "usernameFragment")}} and {{domxref("RTCIceParameters.password", "password")}} which uniquely identify the local peer for the duration of the ICE session.</p>

<p>Returns <code>null</code> if the parameters have not yet been received.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcicetransport-getlocalparameters', 'RTCIceTransport.getLocalParameters')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceTransport.getLocalParameters")}}</p>
